using GiftShopContracts.BindingModels;
using GiftShopContracts.SearchModels;
using GiftShopContracts.ViewModels;

namespace GiftShopContracts.StoragesContracts
{
    public interface IComponentStorage
    {
        List<ComponentViewModel> GetFullList();

        List<ComponentViewModel> GetFilteredList(ComponentSearchModel model);

        ComponentViewModel? GetElement(ComponentSearchModel model);

        ComponentViewModel? Insert(ComponentBindingModel model);

        ComponentViewModel? Update(ComponentBindingModel model);

        ComponentViewModel? Delete(ComponentBindingModel model);
    }
}
